#include <stdio.h>
#include <string.h>

#include <sqlite3ext.h>

#include "config.h"
#include "feed_vtab.h"

SQLITE_EXTENSION_INIT1

int sqlite3_extension_init( sqlite3 *db,
                            char **pzErrMsg,
                            const sqlite3_api_routines *pApi )
{
  SQLITE_EXTENSION_INIT2(pApi);

  if(feed_register(db) != SQLITE_OK)
  {
    if (pzErrMsg)
      sprintf(pzErrMsg, "Failed to register feed module\n");
    return SQLITE_ERROR;
  }

  return SQLITE_OK;
}
